#!/bin/sh
-#$Id: snom.pl,v 1.17 2006-05-21 22:51:21 sithglan Exp $
+#$Id: snom.pl,v 1.18 2006-05-21 22:56:51 michael Exp $
PATH=/opt/csw/bin:/opt/local/bin:/usr/bin:/bin exec perl -w -x "$0" "$@"
use Gtk2 '-init';
use Gtk2::Gdk::Keysyms;
use LWP::UserAgent;
-use Config::IniFiles;
+#use Config::IniFiles;
my %g_key = ();
my $ua = LWP::UserAgent->new;
-my $cfg = Config::IniFiles->new(-file => "$ENV{HOME}/.snomrc")
- || die("can't open config: $ENV{HOME}/.snomrc: $!");
-
+open(INIFILE,"<$ENV{HOME}/.snomrc") || die("can't open config: $ENV{HOME}/.snomrc: $!");
+my %Config = ();
my @sections = ();
+while(<INIFILE>) {
+ chomp;
+ if (m/^\s*\[(.*)\]\s*$/) {
+ push @sections, $1;
+ next;
+ }
-for my $section ($cfg->Sections) {
- for my $val (qw(host login password)) {
- if (defined($cfg->val($section, $val))) {
- print "$val: <" . $cfg->val($section, $val) . ">\n";
- }
- }
- push(@sections, $section);
+ if ($#sections) {
+ for my $var (qw(host login password)) {
+ if (m/^\s*${var}\s*=\s*(.*)\s*$/) {
+ push @{$Config{$sections[$#sections]}}, ($var => $1);
+ }
+ }
+ }
}
+close(INIFILE);
+
+
+for my $section (@sections) {
+ for my $val (@{$Config{$section}}) {
+ print $val."\n";
+ #for my $val (qw(host login password)) {
+ # if (defined($cfg->val($section, $val))) {
+ # print "$val: <" . $cfg->val($section, $val) . ">\n";
+ # }
+ #}
+
+ }
+}
+
#$ua->credentials("${ARGV[0]}:80","snom","root","geheim");